# vim: set ft=spec: -*- spec -*-

# Please, RPM, do not remove documentation after installing...
%define _customdocdir %_docdir/%name-%version

%define oname gle

Name: lib%oname
Version: 3.1.2
Release: alt1
Summary: The GLE Tubing and Extrusion Library for OpenGL
License: GPL-2.0
Group: System/Libraries
Url: http://www.linas.org/gle
Vcs: https://github.com/linas/glextrusion.git

Source: %name-%version.tar

BuildRequires: libXi-devel libXmu-devel libfreeglut-devel

%description
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

%package devel
Summary: Dedelopment headers for the GLE Tubing and Extrusion Library
Group: Development/C
Requires: %name = %version-%release
# Due to %_includedir/GL directory...
Requires: xorg-glproto-devel

%description devel
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

This package contain development headers and libraries.

%package doc
Summary: Documentation for the GLE Tubing and Extrusion Library
Group: Books/Computer books
Conflicts: %name > %version-%release
Conflicts: %name < %version-%release
Obsoletes: gle-doc <= 3.1.0-alt3
BuildArch: noarch

%description doc
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

This package contains documentation.

%prep
%setup -q -n %name-%version

%build
export lt_cv_prog_cc_static_works=no
%autoreconf
%configure \
	--disable-static
%make_build libgle_la_LIBADD="-lGL -lGLU"

%install
%makeinstall_std libgle_la_LIBADD="-lGL -lGLU"
mv %buildroot%_docdir/%oname %buildroot%_docdir/%name-%version

%files
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/*
%exclude %_docdir/%name-%version/examples
%exclude %_docdir/%name-%version/html
%_libdir/lib%oname.so.*

%files devel
%_libdir/lib%oname.so
%_includedir/GL/*
%_man3dir/*

%files doc
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/examples
%doc %_docdir/%name-%version/html

%changelog
* Thu Jun 26 2025 Sergey Gvozdetskiy <serjigva@altlinux.org> 3.1.2-alt1
- new version

* Thu Jul 12 2018 Igor Vlasenko <viy@altlinux.ru> 3.1.0-alt7.3.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * arch-dep-package-consists-of-usr-share for libgle-doc

* Fri Jan 10 2014 Valery Inozemtsev <shrek@altlinux.ru> 3.1.0-alt7.3
- rebuild

* Wed Mar 06 2013 Valery Inozemtsev <shrek@altlinux.ru> 3.1.0-alt7.2
- fixed requires

* Tue Jul 24 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.0-alt7.1
- Rebuilt for set-versions

* Mon Nov 09 2009 Alexey I. Froloff <raorn@altlinux.org> 3.1.0-alt7
- spec cleanup

* Sun Mar 19 2006 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt6
- libgle should be linked with libGL and libGLU

* Sat Jan 28 2006 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt5
- Rebuilt with new Xorg, buildreqs updated

* Thu Jun 16 2005 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt4
- Renamed sourcerpm to libgle due to conflict with http://glx.sf.net/ (closes: #7115)

* Fri Dec 12 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt3
- devel-static and *.la fixes

* Sun Apr 13 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt2
- Oops. Added %%post/%%postun scripts for lib%name

* Mon Apr 07 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt1
- Built for Sisyphus



